LogoopenSUSE Build Service > Projects
Sign Up | Log In

View File libQtWebKit4-gcc47.patch of Package libQtWebKit4 (Project KDE:Qt)

diff -urNB orig.webkit-qtwebkit-23/configure.ac webkit-qtwebkit-23/configure.ac
--- orig.webkit-qtwebkit-23/configure.ac	2013-03-14 14:24:37.000000000 +0100
+++ webkit-qtwebkit-23/configure.ac	2013-03-16 18:37:28.146753408 +0100
@@ -178,7 +178,6 @@
 # cleanly with that.
 AC_LANG_PUSH(C++)
 TMPCXXFLAGS=$CXXFLAGS
-CXXFLAGS="-Wall -Werror"
 AC_MSG_CHECKING([if we have to disable C++0x compat warnings for GCC >= 4.6.0])
 AC_TRY_COMPILE([
 namespace std {
diff -urNB orig.webkit-qtwebkit-23/Tools/qmake/mkspecs/features/unix/default_post.prf webkit-qtwebkit-23/Tools/qmake/mkspecs/features/unix/default_post.prf
--- orig.webkit-qtwebkit-23/Tools/qmake/mkspecs/features/unix/default_post.prf	2013-03-16 18:36:20.726596276 +0100
+++ webkit-qtwebkit-23/Tools/qmake/mkspecs/features/unix/default_post.prf	2013-03-16 18:37:58.117378724 +0100
@@ -21,7 +21,7 @@
 linux-*g++* {
     !production_build {
         # Treat warnings as errors on x86/Linux/GCC
-        isEqual(QT_ARCH,x86_64)|isEqual(QT_ARCH,i386): QMAKE_CXXFLAGS += -Werror
+        #isEqual(QT_ARCH,x86_64)|isEqual(QT_ARCH,i386): QMAKE_CXXFLAGS += -Werror
     }
     greaterThan(QT_GCC_MAJOR_VERSION, 3):greaterThan(QT_GCC_MINOR_VERSION, 5) {
         !contains(QMAKE_CXXFLAGS, -std=(c|gnu)\\+\\+(0x|11)) {